package param

// SetSetting
// @description: 设置
type SetSetting struct {
	Code     string `json:"code" form:"code" binding:"required"`          // 设置的唯一编码
	Data     string `json:"data" form:"data" binding:"required"`          // 数据
	Describe string `json:"describe" form:"describe" binding:"omitempty"` // 描述
}

// SetServerGlobal
// @description: 设置服务端全局配置
type SetServerGlobal struct {
	EndpointAddress     string   `json:"endpointAddress" binding:"required"` // 服务公网IP
	DnsServer           []string `json:"dnsServer" binding:"required"`       // DNS列表
	MTU                 int      `json:"MTU" binding:"required"`
	PersistentKeepalive int      `json:"persistentKeepalive" binding:"omitempty"`
	FirewallMark        string   `json:"firewallMark" binding:"omitempty"`
	Table               string   `json:"table" binding:"omitempty"`
	ConfigFilePath      string   `json:"configFilePath" binding:"required"` // 配置文件对外输出目录
}
