package vo

import (
	"wireguard-dashboard/constant"
	"wireguard-dashboard/model/entity"
)

// User
// @description: 用户信息
type User struct {
	Id        string              `json:"id"`        // id
	Name      string              `json:"name"`      // 用户名
	Avatar    string              `json:"avatar"`    // 头像
	Account   string              `json:"account"`   // 账户
	Email     string              `json:"email"`     // 联系邮箱
	IsAdmin   constant.UserType   `json:"isAdmin"`   // 管理员
	Status    constant.UserStatus `json:"status"`    // 状态
	CreatedAt entity.JsonTime     `json:"createdAt"` // 创建时间
	UpdatedAt entity.JsonTime     `json:"updatedAt"` // 更新时间
}
