import { ref, onMounted } from "vue";
import { getCaptcha } from "@/api/login";

// 绘制图形验证码
export const useImageVerify = () => {
  const imgCode = ref("");
  const imgCodeId = ref("");

  function setImgCode(code: string) {
    imgCode.value = code;
  }

  function setImgCodeId(codeId: string) {
    imgCodeId.value = codeId;
  }

  function getImgCode() {
    getCaptcha().then(res => {
      if (res.code === 200) {
        imgCode.value = res.data.captcha;
        imgCodeId.value = res.data.id;
      }
    });
  }

  onMounted(() => {
    getImgCode();
  });

  return {
    imgCode,
    imgCodeId,
    setImgCode,
    setImgCodeId,
    getImgCode
  };
};
