import type { RouteRecordName } from "vue-router";

export type cacheType = {
  mode: string;
  name?: RouteRecordName;
};

export type positionType = {
  startIndex?: number;
  length?: number;
};

export type appType = {
  sidebar: {
    opened: boolean;
    withoutAnimation: boolean;
    // 判断是否手动点击Collapse
    isClickCollapse: boolean;
  };
  layout: string;
  device: string;
  viewportSize: { width: number; height: number };
};

export type multiType = {
  path: string;
  name: string;
  meta: any;
  query?: object;
  params?: object;
};

export type setType = {
  title: string;
  fixedHeader: boolean;
  hiddenSideBar: boolean;
};

export type userType = {
  id?: string;
  name?: string;
  avatar?: string;
  account?: string;
  email?: string;
  isAdmin?: number;
  status?: number;
};

export type serverType = {
  id?: string;
  ipScope?: string;
  listenPort?: number;
  privateKey?: string;
  publicKey?: string;
  postUpScript?: string;
  preDownScript?: string;
  postDownScript?: string;
};

export type globalSettingType = {
  endpointAddress?: string;
  dnsServer?: [];
  MTU?: number;
  persistentKeepalive?: number;
  firewallMark?: string;
  table?: string;
  configFilePath?: string;
};
