import { reactive } from "vue";
import type { FormRules } from "element-plus";

/** 登录校验 */
const loginRules = reactive(<FormRules>{
  account: [
    {
      required: true,
      message: "账号不能为空",
      trigger: "blur"
    }
  ],
  password: [
    {
      required: true,
      message: "密码不能为空",
      trigger: "blur"
    },
    {
      min: 6,
      message: "密码长度最少6位",
      trigger: "blur"
    },
    {
      max: 32,
      message: "密码长度最长32位",
      trigger: "blur"
    }
  ],
  captchaAnswer: [
    {
      required: true,
      message: "验证码不能为空",
      trigger: "blur"
    }
  ]
});

export { loginRules };
